import { world, system } from "@minecraft/server"

import { ActionFormData, MessageFormData, ModalFormData } from "@minecraft/server-ui"

system.events.scriptEventReceive.subscribe(data => {
   if(data.id == "blayy:eye") {
     const entity = data.sourceEntity
     const name = entity.typeId
     entity.runCommandAsync(`summon blayy:name_eye "§l${name}" ~~~`)
   } 
}) 
world.events.itemUseOn.subscribe(data => {
  if (data.item.typeId == "blayy:penumbra" || data.item.typeId == "blayy:penumbra_magic") {
  const player = data.source
   const selectm = new ActionFormData()
   selectm.title(`Select Mode | Penumbra`)
   
   selectm.button(`§8§lPickaxe`, "textures/items/penumbra/pickaxe")
   
   selectm.button(`§8§lSword`, "textures/items/penumbra/sword")
   selectm.button(`§8§lAxe`, "textures/items/penumbra/axe")
   selectm.button(`§8§lShovel`, "textures/items/penumbra/shovel")
   selectm.button(`§8§lHoe`, "textures/items/penumbra/hoe")
   selectm.show(player).then(response => {

     if (response.selection == 0) {
      player.runCommandAsync(`replaceitem entity @s slot.weapon.mainhand 0 blayy:penumbra_pickaxe 1 0`)
     }
     if (response.selection == 1) {
      player.runCommandAsync(`replaceitem entity @s slot.weapon.mainhand 0 blayy:penumbra_sword 1 0`)
     }
     if (response.selection == 2) {
      player.runCommandAsync(`replaceitem entity @s slot.weapon.mainhand 0 blayy:penumbra_axe 1 0`)
     }
     if (response.selection == 3) {
      player.runCommandAsync(`replaceitem entity @s slot.weapon.mainhand 0 blayy:penumbra_shovel 1 0`)
     }
     if (response.selection == 4) {
      player.runCommandAsync(`replaceitem entity @s slot.weapon.mainhand 0 blayy:penumbra_hoe 1 0`)
     }
                if (data.item.typeId == "blayy:penumbra_magic") {
                  player.runCommandAsync(`tag @s add magicp`)
        player.runCommandAsync(`enchant @s efficiency 5`)
        player.runCommandAsync(`enchant @s looting 3`)
        player.runCommandAsync(`enchant @s fortune 3`)
        player.runCommandAsync(`enchant @s sharpness 5`)
        player.runCommandAsync(`enchant @s fire_aspect 2`)
      }
   })
   
  }
  if (data.item.typeId.startsWith("blayy:penumbra_") == true) {
    const player = data.source
    if (player.isSneaking == true) {
      if (player.hasTag("magicp") == true) {
        player.runCommandAsync(`replaceitem entity @s slot.weapon.mainhand 0 blayy:penumbra_magic 1 0`)
        player.runCommandAsync(`tag @s remove magicp`)
      }else{
    player.runCommandAsync(`replaceitem entity @s slot.weapon.mainhand 0 blayy:penumbra 1 0`)
      }
    }
  }
})